ControlledJob.State (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapreduce.lib.jobcontrol
Enum ControlledJob.State

    java.lang.Object
      java.lang.Enum<ControlledJob.State>
          org.apache.hadoop.mapreduce.lib.jobcontrol.ControlledJob.State

All Implemented Interfaces:
  Serializable, Comparable<ControlledJob.State>

Enclosing class:
  ControlledJob

    public static enum ControlledJob.State

extends Enum<ControlledJob.State>

Enum Constant Summary
`DEPENDENT_FAILED`
`FAILED`
`READY`
`RUNNING`
`SUCCESS`
`WAITING`

Method Summary
`static ControlledJob.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ControlledJob.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final ControlledJob.State SUCCESS

### WAITING

    public static final ControlledJob.State WAITING

### RUNNING

    public static final ControlledJob.State RUNNING

### READY

    public static final ControlledJob.State READY

### FAILED

    public static final ControlledJob.State FAILED

### DEPENDENT_FAILED

    public static final ControlledJob.State DEPENDENT_FAILED

Method Detail

### values

    public static ControlledJob.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ControlledJob.State c : ControlledJob.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ControlledJob.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation